using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using ReAct_PME.Domain;


namespace ReAct_PME.Infrastructure.Persistence.Configurations
{
    public partial class DT_CONVERSATIONConfiguration : IEntityTypeConfiguration<DT_CONVERSATION>
    {
		public void Configure(EntityTypeBuilder<DT_CONVERSATION> builder)
		{
			builder.ToTable("DT_CONVERSATION"); // Nom de la table dans SQL Server
			builder.HasKey(c => c.ID_CONVERSATION);    // Clé primaire
			builder.Property(c => c.ID_CONVERSATION)
				.HasColumnName("ID_CONVERSATION")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.ID_WORK_FORCE)
				.HasColumnName("ID_WORK_FORCE")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.DATE_START)
				.HasColumnName("DATE_START")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.LIBELLE)
				.HasColumnName("LIBELLE")
				.HasColumnType("string")
				.IsRequired()
				.HasMaxLength(255)
				;
			builder.Property(c => c.SystemDateCreated)
				.HasColumnName("SystemDateCreated")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.SystemDateUpdated)
				.HasColumnName("SystemDateUpdated")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.IsEnabled)
				.HasColumnName("IsEnabled")
				.HasColumnType("bool")
				.IsRequired()
				;
            builder.Property(c => c.TypeConv)
				.HasColumnName("TypeConv")
				.HasColumnType("string")
				;
        }



    }
}
